### File

`packages/eui-dynamic-forms-ui/src/lib/components/container-field/a-list-items/a-list-items.component.ts`

### Extends

`BaseDynComponent`

### Implements

`OnInit` `OnDestroy`

### Metadata

selector | `ux-dyn-a-list-items`
templateUrl | `./a-list-items.component.html`

### Index

###### Properties

- inputs
- Optional childrenConfig
- context
- Optional dynFormApi
- Optional fieldId
- Optional frameId
- Optional genericService
- Optional globalStore
- isEditMode
- Optional parent
- Optional parentData
- Optional setId

###### Methods

- getDynFormApi
- getFieldData
- saveFieldData

### Constructor

`constructor(config)`

Parameters :

Name | Optional
config | No

### Methods

getDynFormApi
`getDynFormApi()`
Returns : `any`

getFieldData
`getFieldData(key: string)`

Parameters :

Name | Type | Optional
key | `string` | No

Returns : `Observable<any>`

saveFieldData
`saveFieldData(key: string, val: any)`

Parameters :

Name | Type | Optional
key | `string` | No
val | `any` | No

Returns : `void`

### Properties

inputs
Type : `AListItemsComponentInputs`

Optional childrenConfig
Type : `UxDynFormModelArray`

context
Type : `FieldContext`

Optional dynFormApi
Type : `DynFormApi`

Optional fieldId
Type : `string`

Optional frameId
Type : `string`

Optional genericService
Type : `DynGenericService`

Optional globalStore
Type : `Store<any>`

isEditMode
Type : `boolean`

Optional parent
Type : `FormGroup | FormArray`

Optional parentData
Type : `UxDynFormArrayParentData`

Optional setId
Type : `string`

# result-matching ""

# No results matching ""